export const agentFunctionBaseToAgentFunction = (agent) => {
    return (fn) => {
        return {
            definition: fn.getDefinition(),
            buildExecutor: (_) => {
                return fn.buildExecutor(agent);
            },
        };
    };
};
